#include <iostream>

using namespace std;

int main()
{
    long int broj;
    int cifra,zbir;
    while(0==0){
        zbir = 0;
        cin >> broj;
        
        while(broj != 0){
            cifra = broj % 10;
            switch (cifra){
                case 1:
                    zbir++;
                break;
                case 2:
                    zbir++;
                break;
                case 3:
                    zbir = zbir + 2;
                break;
                case 4:
                    zbir = zbir + 2;
                break;
                case 5:
                    zbir++;
                break;
                case 6:
                    zbir = zbir + 2;
                break;
                case 7:
                    zbir = zbir +2;
                break;
                case 8:
                    zbir = zbir +3;
                break;
                case 9:
                    zbir = zbir +3;
                break;
            }
            broj = broj / 10;
        }
        cout << zbir;
    }
    return 0;
}